Bug 817487 - RHEVM-Installation - Installation failed with 'replaceWithLink' when link already exists
RHEVM-Installation - Installation failed with 'replaceWithLink' when link alr...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Alex Lourie
Ortal
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 04:58 EDT by Ortal
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: si3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ortal 2012-04-30 04:58:41 EDT
Description of problem:

RHEVM-Installation - Installation failed with 'replaceWithLink' when link already exists

Version-Release number of selected component (if applicable):
RHEVM 3.1 Version Si2.1

How reproducible:
Always

Steps to Reproduce:
1. Install RHEVM using engine-setup
2. When installation finished successfully, run engine-cleanup
3. Reinstall RHEVM using engine-setup
  
Actual results:

Installing:
Configuring oVirt-engine...                              [ DONE ]
Creating CA...                                           [ DONE ]
Editing JBoss Configuration...                        [ ERROR ]
exceptions must be old-style classes or derived from BaseException, not str
Please check log file /var/log/ovirt-engine/engine-setup_2012_04_29_13_19_43.log for more information
[root@ortal-rhevm3 ovirt-engine]# less /var/log/ovirt-engine/engine-setup_2012_04_29_13_19_43.log



2012-04-29 13:20:42::DEBUG::setup_sequences::49::root:: running deployJbossModules
2012-04-29 13:20:42::DEBUG::engine-setup::2033::root:: Adding modules to jboss's modules
2012-04-29 13:20:42::DEBUG::common_utils::360::root:: Linking /usr/share/ovirt-engine/resources/jboss/modules/org/postgresql to /usr/share/jbossas/modules/org/
postgresql
2012-04-29 13:20:42::ERROR::common_utils::364::root:: Traceback (most recent call last):
  File "/usr/share/ovirt-engine/scripts/common_utils.py", line 361, in replaceWithLink
    os.symlink(target, link)
OSError: [Errno 17] File exists

2012-04-29 13:20:42::ERROR::engine-setup::2066::root:: Failed to deploy modules into jboss
2012-04-29 13:20:42::ERROR::engine-setup::2067::root:: Traceback (most recent call last):
  File "/usr/bin/engine-setup", line 2038, in deployJbossModules
    utils.replaceWithLink(module['target'], module['link'])
  File "/usr/share/ovirt-engine/scripts/common_utils.py", line 361, in replaceWithLink
    os.symlink(target, link)
OSError: [Errno 17] File exists

2012-04-29 13:20:42::DEBUG::engine-setup::1968::root:: *** The following params were used as user input:
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: override-httpd-config: yes
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: http-port: 77
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: https-port: 78
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: mac-range: 00:1A:4A:23:61:00-00:1A:4A:23:61:FF
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: host-fqdn: ortal-rhevm3.qa.lab.tlv.redhat.com
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: auth-pass: ********
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: org-name: RED_HAT_ORGANIZATION's
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: default-dc-type: FC
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: db-remote-install: remote
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: db-host: 10.35.97.94
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: db-port: 6543
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: db-admin: postgres
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: db-remote-pass: ********
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: db-secure-connection: no
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: nfs-mp: /ISO_DOMAIN
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: iso-domain-name: ISO_DOMAIN
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: config-nfs: yes
2012-04-29 13:20:42::DEBUG::engine-setup::1973::root:: override-iptables: yes
2012-04-29 13:20:42::ERROR::engine-setup::2701::root:: Traceback (most recent call last):
  File "/usr/bin/engine-setup", line 2695, in <module>
    main(confFile)
  File "/usr/bin/engine-setup", line 2486, in main
    runSequences()
  File "/usr/bin/engine-setup", line 2432, in runSequences
    controller.runAllSequences()
  File "/usr/share/ovirt-engine/scripts/setup_controller.py", line 54, in runAllSequences

Expected results:

The installer should not fail for existing link, should check if exist first, to rewrite it or so.
+
Error message is not clear

Additional info:

** Attached engine-setup.log
Comment 2 Ortal 2012-05-20 03:31:34 EDT
Verified on RHEVM Version Si3

Note You need to log in before you can comment on or make changes to this bug.